#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# File: src/pixi/core/Point.js

    /**
     * @author Mat Groves http://matgroves.com/ @Doormat23
     */

    /**
     * The Point object represents a location in a two-dimensional coordinate system, where x represents the horizontal axis and y represents the vertical axis.
     *
     * @class Point
     * @constructor
     * @param x {Number} position of the point
     * @param y {Number} position of the point
     */
    PIXI.Point = function(x, y)
    {
        /**
         * @property x
         * @type Number
         * @default 0
         */
        this.x = x || 0;

        /**
         * @property y
         * @type Number
         * @default 0
         */
        this.y = y || 0;
    };

    /**
     * Creates a clone of this point
     *
     * @method clone
     * @return {Point} a copy of the point
     */
    PIXI.Point.prototype.clone = function()
    {
        return new PIXI.Point(this.x, this.y);
    };

    // constructor
    PIXI.Point.prototype.constructor = PIXI.Point;

    PIXI.Point.prototype.set = function(x, y)
    {
        this.x = x || 0;
        this.y = y || ( (y !== 0) ? this.x : 0 ) ;
    };